Package weka.experiment

# Class OutputZipper

java.lang.Object
weka.experiment.OutputZipper

All Implemented Interfaces:
  `RevisionHandler`

public class OutputZipper extends Object implements RevisionHandler
OutputZipper writes output to either gzipped files or to a multi entry zip file. If the destination file is a directory each output string will be written to an individually named gzip file. If the destination file is a file, then each output string is appended as a named entry to the zip file until finished() is called to close the file.

Version:
  $Revision: 1.8 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`OutputZipper(File destination)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`finished()`
Closes the zip file.
`String`
`getRevision()`
Returns the revision string.
`static void`
`main(String[] args)`
Main method for testing this class
`void`
`zipit(String outString, String name)`
Saves a string to either an individual gzipped file or as an entry in a zip file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputZipper

public OutputZipper(File destination) throws Exception
Constructor.

Parameters:
  `destination` - a destination file or directory
Throws:
  `Exception` - if something goes wrong.

## Method Details

### zipit

public void zipit(String outString, String name) throws Exception
Saves a string to either an individual gzipped file or as an entry in a zip file.

Parameters:
  `outString` - the output string to save
  `name` - the name of the file/entry to save it to
Throws:
  `Exception` - if something goes wrong

### finished

public void finished() throws Exception
Closes the zip file.

Throws:
  `Exception` - if something goes wrong

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] args)
Main method for testing this class